// dwapimpr.h

[entry("WNetAddConnectionA"), helpstring("Creates a persistant connection to a network resource."), helpcontext(4178)] long stdcall WNetAddConnection([in, out] LPSTR lpszNetPath, [in, out] LPSTR lpszPassword, [in, out] LPSTR lpszLocalName);
[entry("WNetAddConnection2A"), helpstring("Creates a connection to a network resource."), helpcontext(4179)] long stdcall WNetAddConnection2([in, out] NETRESOURCE *lpNetResource, [in, out] LPSTR lpPassword, [in, out] LPSTR lpUserName, [in] long dwFlags);
[entry("WNetAddConnection3A"), helpstring("Creates a connection to a network resource."), helpcontext(4180)] long stdcall WNetAddConnection3([in] long hwnd, [in, out] NETRESOURCE *lpNetResource, [in, out] LPSTR lpPassword, [in, out] LPSTR lpUserName, [in] long dwFlags);
[entry("WNetCancelConnectionA"), helpstring("Ends a network connection."), helpcontext(4181)] long stdcall WNetCancelConnection([in, out] LPSTR lpszName, [in] long bForce);
[entry("WNetCancelConnection2A"), helpstring("Ends a network connection"), helpcontext(4182)] long stdcall WNetCancelConnection2([in, out] LPSTR lpName, [in] long dwFlags, [in] long fForce);
[entry("WNetCloseEnum"), helpstring("Ends an enumration operation."), helpcontext(4183)] long stdcall WNetCloseEnum([in] long hEnum);
[entry("WNetConnectionDialog"), helpstring("Brings up a standard dialog box for connecting to network resources."), helpcontext(4184)] long stdcall WNetConnectionDialog([in] long hwnd, [in] long dwType);
[entry("WNetDisconnectDialog"), helpstring("Brings up a standard dialog box for disconnecting network resources."), helpcontext(4185)] long stdcall WNetDisconnectDialog([in] long hwnd, [in] long dwType);
[entry("WNetEnumResourceA"), helpstring("Enumerates network resources."), helpcontext(4186)] long stdcall WNetEnumResource([in] long hEnum, [in, out] long *lpcCount, [in, out] void *lpBuffer, [in, out] long *lpBufferSize);
[entry("WNetGetConnectionA"), helpstring("Retrieves the network name of a local or connected resource."), helpcontext(4187)] long stdcall WNetGetConnection([in, out] LPSTR lpszLocalName, [in, out] LPSTR lpszRemoteName, [in, out] long *cbRemoteName);
[entry("WNetGetLastErrorA"), helpstring("Retrieves extended error information for network errors."), helpcontext(4188)] long stdcall WNetGetLastError([in, out] long *lpError, [in, out] LPSTR lpErrorBuf, [in] long nErrorBufSize, [in, out] LPSTR lpNameBuf, [in] long nNameBufSize);
[entry("WNetGetUniversalNameA"), helpstring("Retrieves the remote name and/or the UNC (universal naming convention) name of a file on a network."), helpcontext(4189)] long stdcall WNetGetUniversalName([in, out] LPSTR lpLocalPath, [in] long dwInfoLevel, [in, out] void *lpBuffer, [in, out] long *lpBufferSize);
[entry("WNetGetUserA"), helpstring("Used to retrieve the name under which a network resource was connected."), helpcontext(4190)] long stdcall WNetGetUser([in, out] LPSTR lpName, [in, out] LPSTR lpUserName, [in, out] long *lpnLength);
[entry("WNetOpenEnumA"), helpstring("Begins the process of enumerating network resources."), helpcontext(4191)] long stdcall WNetOpenEnum([in] long dwScope, [in] long dwType, [in] long dwUsage, [in, out] NETRESOURCE *lpNetResource, [in, out] long *lphEnum);
