// dwapispl.h
[entry("AbortPrinter"), helpstring("Deletes the spool file associated with a printer."), helpcontext(3245)] long stdcall AbortPrinter([in] long hPrinter);
[entry("AddFormA"), helpstring("Adds a new form to the form list for a printer."), helpcontext(3258)] long stdcall AddForm([in] long hPrinter, [in] long Level, [in, out] void *pForm);
[entry("AddJobA"), helpstring("Used to retrieve a valid path name that can be used to create a spool file for a job."), helpcontext(3248)] long stdcall AddJob([in] long hPrinter, [in] long Level, [in, out] char *pData, [in] long cdBuf, [in, out] long *pcbNeeded);
[entry("AddMonitorA"), helpstring("Adds a printer monitor to the system."), helpcontext(3264)] long stdcall AddMonitor([in, out] LPSTR pName, [in] long Level, [in, out] char *pMonitors);
[entry("AddPortA"), helpstring("Brings up the Add port dialog box that allows a user to add a port to the list of ports available to the system."), helpcontext(3267)] long stdcall AddPort([in, out] LPSTR pName, [in] long hwnd, [in, out] LPSTR pMonitorName);
[entry("AddPrinterA"), helpstring("Adds a new printer to the system."), helpcontext(3230)] long stdcall AddPrinter([in, out] LPSTR pName, [in] long Level, [in, out] char *pPrinter);
[entry("AddPrinterConnectionA"), helpstring("Connects to the specified printer."), helpcontext(3270)] long stdcall AddPrinterConnection([in, out] LPSTR pName);
[entry("AddPrinterDriverA"), helpstring("Adds a new print driver to the specified system."), helpcontext(3231)] long stdcall AddPrinterDriver([in, out] LPSTR pName, [in] long Level, [in, out] char *pDriverInfor);
[entry("AddPrintProcessorA"), helpstring("Adds a print processor to the specified system."), helpcontext(3236)] long stdcall AddPrintProcessor([in, out] LPSTR pName, [in, out] LPSTR pEnvironment, [in, out] LPSTR pPathName, [in, out] LPSTR pPrintProcessorName);
[entry("AddPrintProvidorA"), helpstring("Adds a print providor to the system."), helpcontext(3273)] long stdcall AddPrintProvidor([in, out] LPSTR pName, [in] long Level, [in, out] char *pProvidorInfo);
[entry("AdvancedDocumentPropertiesA"), helpstring("Brings up the Printer document settings dialog box."), helpcontext(3252)] long stdcall AdvancedDocumentProperties([in] long hwnd, [in] long hPrinter, [in, out] LPSTR pDeviceName, [in] long pDevModeOutput, [in] long pDevModeInput);
[entry("ClosePrinter"), helpstring("Closes an open printer object."), helpcontext(3257)] long stdcall ClosePrinter([in] long hPrinter);
[entry("ConfigurePortA"), helpstring("Brings up the port configuration dialog box for the specified port."), helpcontext(3268)] long stdcall ConfigurePort([in, out] LPSTR pName, [in] long hwnd, [in, out] LPSTR pPortName);
[entry("ConnectToPrinterDlg"), helpstring("Brings up the printer connection dialog box which is used to connect to printers across a network."), helpcontext(3272)] long stdcall ConnectToPrinterDlg([in] long hwnd, [in] long flags);
[entry("DeleteFormA"), helpstring("Deletes a form from the list of forms available to a printer."), helpcontext(3259)] long stdcall DeleteForm([in] long hPrinter, [in, out] LPSTR pFormName);
[entry("DeleteMonitorA"), helpstring("Deletes the specified print monitor."), helpcontext(3265)] long stdcall DeleteMonitor([in, out] LPSTR pName, [in, out] LPSTR pEnvironment, [in, out] LPSTR pMonitorName);
[entry("DeletePortA"), helpstring("Brings up the DeletePort dialog box that lets the user delete a port from the current system."), helpcontext(3269)] long stdcall DeletePort([in, out] LPSTR pName, [in] long hwnd, [in, out] LPSTR pPortName);
[entry("DeletePrinter"), helpstring("Marks the specified printer for deletion from the system."), helpcontext(3519)] long stdcall DeletePrinter([in] long hPrinter);
[entry("DeletePrinterConnectionA"), helpstring("Removes a connection to the specified printer."), helpcontext(3271)] long stdcall DeletePrinterConnection([in, out] LPSTR pName);
[entry("DeletePrinterDriverA"), helpstring("Removes a printer driver from the system."), helpcontext(3235)] long stdcall DeletePrinterDriver([in, out] LPSTR pName, [in, out] LPSTR pEnvironment, [in, out] LPSTR pDriverName);
[entry("DeletePrintProcessorA"), helpstring("Deletes a print processor from the specified system."), helpcontext(3240)] long stdcall DeletePrintProcessor([in, out] LPSTR pName, [in, out] LPSTR pEnvironment, [in, out] LPSTR pPrintProcessorName);
[entry("DeletePrintProvidorA"), helpstring("Removes a print providor from the system."), helpcontext(3274)] long stdcall DeletePrintProvidor([in, out] LPSTR pName, [in, out] LPSTR pEnvironment, [in, out] LPSTR pPrintProvidorName);
[entry("DeviceCapabilitiesA"), helpstring("This function allows you to obtain information about the capabilities of a device."), helpcontext(2522)] long stdcall DeviceCapabilities([in, out] LPSTR lpDeviceName, [in, out] LPSTR lpPort, [in] long iIndex, [in, out] LPSTR lpOutput, [in] long lpDevMode);
[entry("DocumentPropertiesA"), helpstring("This is a flexible printer configuration control function that replaces the ExtDeviceMode function in Windows 3.x, which in turn replaced the DeviceMode function in version 2.0 of Windows."), helpcontext(3251)] long stdcall DocumentProperties([in] long hwnd, [in] long hPrinter, [in, out] LPSTR pDeviceName, [in] long pDevModeOutput, [in] long pDevModeInput, [in] long fMode);
[entry("EndDocPrinter"), helpstring("Specifies the end of a document at the spooler level."), helpcontext(3247)] long stdcall EndDocPrinter([in] long hPrinter);
[entry("EndPagePrinter"), helpstring("Specifies the end of a page in a print job."), helpcontext(3244)] long stdcall EndPagePrinter([in] long hPrinter);
[entry("EnumFormsA"), helpstring("Enumerates the available forms for a printer."), helpcontext(3262)] long stdcall EnumForms([in] long hPrinter, [in] long Level, [in, out] char *pForm, [in] long cbBuf, [in, out] long *pcbNeeded, [in, out] long *pcReturned);
[entry("EnumJobsA"), helpstring("Enumerates jobs in the print queue."), helpcontext(3229)] long stdcall EnumJobs([in] long hPrinter, [in] long FirstJob, [in] long NoJobs, [in] long Level, [in, out] char *pJob, [in] long cdBuf, [in, out] long *pcbNeeded, [in, out] long *pcReturned);
[entry("EnumMonitorsA"), helpstring("Enumerates the available print monitors."), helpcontext(3263)] long stdcall EnumMonitors([in, out] LPSTR pName, [in] long Level, [in, out] char *pMonitors, [in] long cbBuf, [in, out] long *pcbNeeded, [in, out] long *pcReturned);
[entry("EnumPortsA"), helpstring("Enumerates the ports available to a system."), helpcontext(3266)] long stdcall EnumPorts([in, out] LPSTR pName, [in] long Level, [in, out] char *lpbPorts, [in] long cbBuf, [in, out] long *pcbNeeded, [in, out] long *pcReturned);
[entry("EnumPrinterDriversA"), helpstring("Enumerates the installed printer drivers on the specified system."), helpcontext(3232)] long stdcall EnumPrinterDrivers([in, out] LPSTR pName, [in, out] LPSTR pEnvironment, [in] long Level, [in, out] char *pDriverInfo, [in] long cdBuf, [in, out] long *pcbNeeded, [in, out] long *pcReturned);
[entry("EnumPrintersA"), helpstring("Enumerates the printers installed on the system."), helpcontext(3223)] long stdcall EnumPrinters([in] long flags, [in, out] LPSTR name, [in] long Level, [in, out] char *pPrinterEnum, [in] long cdBuf, [in, out] long *pcbNeeded, [in, out] long *pcReturned);
[entry("EnumPrintProcessorDatatypesA"), helpstring("Enumerates the datatypes supported by a print processor."), helpcontext(3239)] long stdcall EnumPrintProcessorDatatypes([in, out] LPSTR pName, [in, out] LPSTR pPrintProcessorName, [in] long Level, [in, out] char *pDatatypes, [in] long cdBuf, [in, out] long *pcbNeeded, [in, out] long *pcRetruned);
[entry("EnumPrintProcessorsA"), helpstring("Enumerates the available print processors on a system."), helpcontext(3237)] long stdcall EnumPrintProcessors([in, out] LPSTR pName, [in, out] LPSTR pEnvironment, [in] long Level, [in, out] char *pPrintProcessorInfo, [in] long cdBuf, [in, out] long *pcbNeeded, [in, out] long *pcReturned);
[entry("FindClosePrinterChangeNotification"), helpstring("Closes a printer notification object obtained using FindFirstPrinterChangeNotification."), helpcontext(3520)] long stdcall FindClosePrinterChangeNotification([in] long hChange);
[entry("FindFirstPrinterChangeNotification"), helpstring("Creates a new change notification object that allows you to watch for a variety of changes to the state of a printer."), helpcontext(3521)] long stdcall FindFirstPrinterChangeNotification([in] long hPrinter, [in] long fdwFlags, [in] long fdwOptions, [in, out] char *pPrinterNotifyOptions);
[entry("FindNextPrinterChangeNotification"), helpstring("Allows you to determine the reasons that a printer change notification object was signaled."), helpcontext(3522)] long stdcall FindNextPrinterChangeNotification([in] long hChange, [in, out] long *pdwChange, [in] long pvReserved, [in, out] long *ppPrinterNotifyInfo);
[entry("FreePrinterNotifyInfo"), helpstring("Frees a buffer allocated by the FindNextPrinterNotification function."), helpcontext(3523)] long stdcall FreePrinterNotifyInfo([in] long addr);
[entry("GetFormA"), helpstring("Retrieves information about the specified form."), helpcontext(3260)] long stdcall GetForm([in] long hPrinter, [in, out] LPSTR pFormName, [in] long Level, [in, out] char *pForm, [in] long cbBuf, [in, out] long *pcbNeeded);
[entry("GetJobA"), helpstring("Retrieves information on the specified job."), helpcontext(3228)] long stdcall GetJob([in] long hPrinter, [in] long JobId, [in] long Level, [in, out] char *pJob, [in] long cdBuf, [in, out] long *pcbNeeded);
[entry("GetPrinterA"), helpstring("Retrieve information about the specified printer."), helpcontext(3524)] long stdcall GetPrinter([in] long hPrinter, [in] long Level, [in, out] char *pPrinter, [in] long cbBuf, [in, out] long *pcbNeeded);
[entry("GetPrinterDataA"), helpstring("Sets registry configuration information for the printer."), helpcontext(3253)] long stdcall GetPrinterData([in] long hPrinter, [in, out] LPSTR pValueName, [in, out] long *pType, [in, out] char *pData, [in] long nSize, [in, out] long *pcbNeeded);
[entry("GetPrinterDriverA"), helpstring("Obtains information about the printer driver for the specified printer."), helpcontext(3233)] long stdcall GetPrinterDriver([in] long hPrinter, [in, out] LPSTR pEnvironment, [in] long Level, [in, out] char *pDriverInfo, [in] long cdBuf, [in, out] long *pcbNeeded);
[entry("GetPrinterDriverDirectoryA"), helpstring("Determines the directory on the specified system that contains printer drivers."), helpcontext(3234)] long stdcall GetPrinterDriverDirectory([in, out] LPSTR pName, [in, out] LPSTR pEnvironment, [in] long Level, [in, out] char *pDriverDirectory, [in] long cdBuf, [in, out] long *pcbNeeded);
[entry("GetPrintProcessorDirectoryA"), helpstring("Determines the directory on the specified system that contains printer processor drivers and files."), helpcontext(3238)] long stdcall GetPrintProcessorDirectory([in, out] LPSTR pName, [in, out] LPSTR pEnvironment, [in] long Level, [in, out] LPSTR pPrintProcessorInfo, [in] long cdBuf, [in, out] long *pcbNeeded);
[entry("OpenPrinterA"), helpstring("Opens the specified printer and obtains a handle to the printer."), helpcontext(3225)] long stdcall OpenPrinter([in, out] LPSTR pPrinterName, [in, out] long *phPrinter, [in, out] PRINTER_DEFAULTS *pDefault);
[entry("PrinterMessageBoxA"), helpstring("Posts a printer error message box on the system that owns the specified print job."), helpcontext(3256)] long stdcall PrinterMessageBox([in] long hPrinter, [in] long error, [in] long hwnd, [in, out] LPSTR pText, [in, out] LPSTR pCaption, [in] long dwType);
[entry("PrinterProperties"), helpstring("Brings up the printer properties dialog box for configuring a printer."), helpcontext(3250)] long stdcall PrinterProperties([in] long hwnd, [in] long hPrinter);
[entry("ReadPrinter"), helpstring("Reads data from a printer."), helpcontext(3246)] long stdcall ReadPrinter([in] long hPrinter, [in, out] void *pBuf, [in] long cdBuf, [in, out] long *pNoBytesRead);
[entry("ResetPrinterA"), helpstring("Changes the default data type and document settings for the specified printer."), helpcontext(3226)] long stdcall ResetPrinter([in] long hPrinter, [in, out] PRINTER_DEFAULTS *pDefault);
[entry("ScheduleJob"), helpstring("Submits a job for printing."), helpcontext(3249)] long stdcall ScheduleJob([in] long hPrinter, [in] long JobId);
[entry("SetFormA"), helpstring("Sets the information for the specified form."), helpcontext(3261)] long stdcall SetForm([in] long hPrinter, [in, out] LPSTR pFormName, [in] long Level, [in, out] char *pForm);
[entry("SetJobA"), helpstring("Allows you to control the state of a print job."), helpcontext(3227)] long stdcall SetJob([in] long hPrinter, [in] long JobId, [in] long Level, [in, out] char *pJob, [in] long Command);
[entry("SetPrinterA"), helpstring("Provides control of the state of a printer."), helpcontext(3525)] long stdcall SetPrinter([in] long hPrinter, [in] long Level, [in, out] char *pPrinter, [in] long Command);
[entry("SetPrinterDataA"), helpstring("Sets registry configuration information for the printer."), helpcontext(3254)] long stdcall SetPrinterData([in] long hPrinter, [in, out] LPSTR pValueName, [in] long dwType, [in, out] char *pData, [in] long cbData);
[entry("StartDocPrinterA"), helpstring("Starts a new document at the spooler level."), helpcontext(3241)] long stdcall StartDocPrinter([in] long hPrinter, [in] long Level, [in, out] char *pDocInfo);
[entry("StartPagePrinter"), helpstring("Specifies the start of a new page in a print job."), helpcontext(3242)] long stdcall StartPagePrinter([in] long hPrinter);
[entry("WritePrinter"), helpstring("Writes data to be sent directly to a printer."), helpcontext(3243)] long stdcall WritePrinter([in] long hPrinter, [in, out] void *pBuf, [in] long cdBuf, [in, out] long *pcWritten);
