// User declarations

[entry("ActivateKeyboardLayout"), helpstring("Activates a new keyboard layout."), helpcontext(2741)] long stdcall ActivateKeyboardLayout([in] long HKL, [in] long flags);
[entry("AdjustWindowRect"), helpstring("Calculates the size of a window rectangle needed to obtain a specified client rectangle given a window style."), helpcontext(2956)] long stdcall AdjustWindowRect([in, out] RECT *lpRect, [in] long dwStyle, [in] long bMenu);
[entry("AdjustWindowRectEx"), helpstring("Calculates the size of a window rectangle needed to obtain a specified client rectangle given a window style."), helpcontext(2957)] long stdcall AdjustWindowRectEx([in, out] RECT *lpRect, [in] long dsStyle, [in] long bMenu, [in] long dwEsStyle);
[entry("AnyPopup"), helpstring("Determines if a popup window exists anywhere on the screen."), helpcontext(2803)] long stdcall AnyPopup(void);
[entry("AppendMenuA"), helpstring("This function adds a menu entry to the specified menu."), helpcontext(2903)] long stdcall AppendMenu([in] long hMenu, [in] long wFlags, [in] long wIDNewItem, [in, out] LPSTR lpNewItem);
[entry("ArrangeIconicWindows"), helpstring("Arranges the minimized child windows of a parent window."), helpcontext(3049)] long stdcall ArrangeIconicWindows([in] long hwnd);
[entry("AttachThreadInput"), helpstring("Normally, each thread in the system has its own input queue."), helpcontext(2771)] long stdcall AttachThreadInput([in] long idAttach, [in] long idAttachTo, [in] long fAttach);
[entry("BeginDeferWindowPos"), helpstring("Begins the process of building a list of new window positions for simultaneous updating."), helpcontext(2798)] long stdcall BeginDeferWindowPos([in] long nNumWindows);
[entry("BringWindowToTop"), helpstring("Brings the specified window to the top of the window list, uncovering it if it is partially or entirely obscured by other windows."), helpcontext(2804)] long stdcall BringWindowToTop([in] long hwnd);
[entry("BroadcastSystemMessage"), helpstring("Broadcasts a system message to all top level windows in the system."), helpcontext(3526)] long stdcall BroadcastSystemMessage([in] long dw, [in, out] long *pdw, [in] long un, [in] long wParam, [in] long lParam);
[entry("CascadeWindows"), helpstring("Arranges windows in cascade order."), helpcontext(3436)] short stdcall CascadeWindows([in] long hwndParent, [in] long wHow, [in, out] RECT *lpRect, [in] long cKids, [in, out] long *lpKids);
[entry("CharLowerA"), helpstring("Converts a string to lowercase based on the current locale or language driver."), helpcontext(2844)] long stdcall CharLower([in, out] LPSTR lpsz);
[entry("CharLowerBuffA"), helpstring("Converts a string to lowercase based on the current locale or language driver."), helpcontext(2845)] long stdcall CharLowerBuff([in, out] LPSTR lpsz, [in] long cchLength);
[entry("CharNextA"), helpstring("Returns a pointer to the next character in a string."), helpcontext(2846)] long stdcall CharNext([in, out] LPSTR lpsz);
[entry("CharPrevA"), helpstring("Similar to CharNext, except that it retrieves the location of the previous character in a DBCS string."), helpcontext(2847)] long stdcall CharPrev([in, out] LPSTR lpszStart, [in, out] LPSTR lpszCurrent);
[entry("CharToOemA"), helpstring("Converts a string from the ANSI character set to the OEM character set."), helpcontext(2838)] long stdcall CharToOem([in, out] LPSTR lpszSrc, [in, out] LPSTR lpszDst);
[entry("CharToOemBuffA"), helpstring("Converts a string from the ANSI character set to the OEM character set."), helpcontext(2840)] long stdcall CharToOemBuff([in, out] LPSTR lpszSrc, [in, out] LPSTR lpszDst, [in] long cchDstLength);
[entry("CharUpperA"), helpstring("Converts a string to uppercase based on the current locale or language driver."), helpcontext(2842)] long stdcall CharUpper([in, out] LPSTR lpsz);
[entry("CharUpperBuffA"), helpstring("Converts a string to uppercase based on the current locale or language driver."), helpcontext(2843)] long stdcall CharUpperBuff([in, out] LPSTR lpsz, [in] long cchLength);
[entry("CheckMenuItem"), helpstring("Checks or unchecks the specified menu entry."), helpcontext(2897)] long stdcall CheckMenuItem([in] long hMenu, [in] long wIDCheckItem, [in] long wCheck);
[entry("CheckMenuRadioItem"), helpstring("Specifies that a menu entry be checked as a radio item."), helpcontext(3529)] long stdcall CheckMenuRadioItem([in] long hMenu, [in] long un1, [in] long un2, [in] long un3, [in] long un4);
[entry("ChildWindowFromPoint"), helpstring("Returns the handle of the first child window in a parent window that contains the specified point."), helpcontext(2981)] long stdcall ChildWindowFromPoint([in] long hWnd, [in] long X, [in] long Y);
[entry("ChildWindowFromPointEx"), helpstring("Returns the handle of the first child window in a parent window that contains the specified point."), helpcontext(3434)] long stdcall ChildWindowFromPointEx([in] long hWndParent, [in] long ptx, [in] long pty, [in] long uFlags);
[entry("ClientToScreen"), helpstring("Determines the screen coordinates for a point given in the client coordinates of a window."), helpcontext(2977)] long stdcall ClientToScreen([in] long hwnd, [in, out] POINTAPI *lpPoint);
[entry("ClipCursor"), helpstring("Restricts the cursor to the area specified."), helpcontext(2965)] long stdcall ClipCursor([in, out] RECT *lpRect);
[entry("ClipCursor"), helpstring("Restricts the cursor to the area specified."), helpcontext(2966)] long stdcall ClipCursorBynum([in] long lpRect);
[entry("CloseWindow"), helpstring("Minimizes the specified window. Minimizes the specified window. The window is not destroyed."), helpcontext(2793)] long stdcall CloseWindow([in] long hwnd);
[entry("CopyIcon"), helpstring("Makes a copy of the specified icon or cursor."), helpcontext(3037)] long stdcall CopyIcon([in] long hIcon);
[entry("CopyImage"), helpstring("Allows you to copy a bitmap, icon, or cursor, performing some transformations on it during the copy."), helpcontext(3532)] long stdcall CopyImage([in] long handle, [in] long un1, [in] long n1, [in] long n2, [in] long un2);
[entry("CopyRect"), helpstring("The contents of rectangle lpSourceRect are copied into rectangle lpDestRect."), helpcontext(2990)] long stdcall CopyRect([in, out] RECT *lpDestRect, [in, out] RECT *lpSourceRect);
[entry("CreateCaret"), helpstring("Creates a caret as specified and selects it as the caret for the specified window."), helpcontext(2969)] long stdcall CreateCaret([in] long hwnd, [in] long hBitmap, [in] long nWidth, [in] long nHeight);
[entry("CreateCursor"), helpstring("Creates a cursor."), helpcontext(3026)] long stdcall CreateCursor([in] long hInstance, [in] long nXhotspot, [in] long nYhotspot, [in] long nWidth, [in] long nHeight, [in, out] void *lpANDbitPlane, [in, out] void *lpXORbitPlane);
[entry("CreateIcon"), helpstring("Creates an icon."), helpcontext(3031)] long stdcall CreateIcon([in] long hInstance, [in] long nWidth, [in] long nHeight, [in] char nPlanes, [in] char nBitsPixel, [in, out] char *lpANDbits, [in, out] char *lpXORbits);
[entry("CreateIconFromResource"), helpstring("Creates an icon or cursor given raw data from a resource file."), helpcontext(3034)] long stdcall CreateIconFromResource([in, out] char *presbits, [in] long dwResSize, [in] long fIcon, [in] long dwVer);
[entry("CreateIconFromResourceEx"), helpstring("Creates an icon or cursor given raw data from a resource file."), helpcontext(3035)] long stdcall CreateIconFromResourceEx([in, out] char *presbits, [in] long dwResSize, [in] long fIcon, [in] long dwVer, [in] long cxDesired, [in] long cyDesired, [in] long uFlags);
[entry("CreateIconIndirect"), helpstring("Creates an icon."), helpcontext(3036)] long stdcall CreateIconIndirect([in, out] ICONINFO *piconinfo);
[entry("CreateMenu"), helpstring("Creates a new menu."), helpcontext(2894)] long stdcall CreateMenu(void);
[entry("CreatePopupMenu"), helpstring("Creates an empty popup menu."), helpcontext(2895)] long stdcall CreatePopupMenu(void);
[entry("DeferWindowPos"), helpstring("This function specifies a new window position for the specified window and enters it into the structure created by BeginDeferWindowPos for update during execution of the EndDeferWindowPos function."), helpcontext(2799)] long stdcall DeferWindowPos([in] long hWinPosInfo, [in] long hwnd, [in] long hWndInsertAfter, [in] long x, [in] long y, [in] long cx, [in] long cy, [in] long wFlags);
[entry("DeleteMenu"), helpstring("Deletes the specified menu entry."), helpcontext(2908)] long stdcall DeleteMenu([in] long hMenu, [in] long nPosition, [in] long wFlags);
[entry("DestroyCaret"), helpstring("Destroys a caret."), helpcontext(2972)] long stdcall DestroyCaret(void);
[entry("DestroyCursor"), helpstring("Destroys the specified cursor and frees up all system resources that it uses."), helpcontext(3027)] long stdcall DestroyCursor([in] long hCursor);
[entry("DestroyIcon"), helpstring("Destroys an icon."), helpcontext(3032)] long stdcall DestroyIcon([in] long hIcon);
[entry("DestroyMenu"), helpstring("Destroys the specified menu."), helpcontext(2896)] long stdcall DestroyMenu([in] long hMenu);
[entry("DestroyWindow"), helpstring("Destroys the specified window and all its child windows."), helpcontext(2788)] long stdcall DestroyWindow([in] long hwnd);
[entry("DrawAnimatedRects"), helpstring("Draws an animated series of rectangles between lprcFrom and lprcTo"), helpcontext(3433)] long stdcall DrawAnimatedRects([in] long hWnd, [in] long idAni, [in, out] RECT *lprcFrom, [in, out] RECT *lprcTo);
[entry("DrawEdge"), helpstring("Draws the edge of a rectangle using the specified style."), helpcontext(3539)] long stdcall DrawEdge([in] long hdc, [in, out] RECT *qrc, [in] long edge, [in] long grfFlags);
[entry("DrawFocusRect"), helpstring("Draws a focus rectangle."), helpcontext(2984)] long stdcall DrawFocusRect([in] long hdc, [in, out] RECT *lpRect);
[entry("DrawFrameControl"), helpstring("This function draws a standard control."), helpcontext(3540)] long stdcall DrawFrameControl([in] long hDC, [in, out] RECT *lpRect, [in] long un1, [in] long un2);
[entry("DrawIcon"), helpstring("Draws an icon in the specified location."), helpcontext(2913)] long stdcall DrawIcon([in] long hdc, [in] long x, [in] long y, [in] long hIcon);
[entry("DrawIconEx"), helpstring("Draws an icon or cursor. Draws an icon or cursor. This function provides more capability than the DrawIcon function."), helpcontext(3541)] long stdcall DrawIconEx([in] long hdc, [in] long xLeft, [in] long yTop, [in] long hIcon, [in] long cxWidth, [in] long cyWidth, [in] long istepIfAniCur, [in] long hbrFlickerFreeDraw, [in] long diFlags);
[entry("DrawMenuBar"), helpstring("Redraws the menu for the specified window."), helpcontext(2892)] long stdcall DrawMenuBar([in] long hwnd);
[entry("DrawStateA"), helpstring("This complex function applies a variety of effects to an image or drawing operation."), helpcontext(3542)] long stdcall DrawState([in] long hDC, [in] long hBrush, [in] long lpDrawStateProc, [in] long lParam, [in] long wParam, [in] long n1, [in] long n2, [in] long n3, [in] long n4, [in] long un);
[entry("DrawTextA"), helpstring("Draws text into the specified rectangle."), helpcontext(2914)] long stdcall DrawText([in] long hdc, [in, out] LPSTR lpStr, [in] long nCount, [in, out] RECT *lpRect, [in] long wFormat);
[entry("DrawTextExA"), helpstring("Similar to DrawText with additional capabilities."), helpcontext(3543)] long stdcall DrawTextEx([in] long hDC, [in, out] LPSTR lpsz, [in] long n, [in, out] RECT *lpRect, [in] long un, [in, out] DRAWTEXTPARAMS *lpDrawTextParams);
[entry("EnableMenuItem"), helpstring("Enables or disables the specified menu entry."), helpcontext(2898)] long stdcall EnableMenuItem([in] long hMenu, [in] long wIDEnableItem, [in] long wEnable);
[entry("EnableWindow"), helpstring("Enables or disables all mouse and keyboard input to the specified window."), helpcontext(2877)] long stdcall EnableWindow([in] long hwnd, [in] long fEnable);
[entry("EndDeferWindowPos"), helpstring("Simultaneously updates the positions and states of all windows specified by calls to DeferWindowPos."), helpcontext(2800)] long stdcall EndDeferWindowPos([in] long hWinPosInfo);
[entry("EnumChildWindows"), helpstring("Enumerates the child windows for the specified parent window."), helpcontext(3017)] long stdcall EnumChildWindows([in] long hWndParent, [in] long lpEnumFunc, [in] long lParam);
[entry("EnumPropsA"), helpstring("Enumerates the properties of a window."), helpcontext(3547)] long stdcall EnumProps([in] long hWnd, [in] long lpEnumFunc);
[entry("EnumPropsExA"), helpstring("Enumerates the properties of a window."), helpcontext(3546)] long stdcall EnumPropsEx([in] long hWnd, [in] long lpEnumFunc, [in] long lParam);
[entry("EnumThreadWindows"), helpstring("Enumerates the windows associated with the specified task."), helpcontext(3018)] long stdcall EnumThreadWindows([in] long dwThreadID, [in] long lpfn, [in] long lParam);
[entry("EnumWindows"), helpstring("Enumerates all parent windows (top level and owned) in the window list."), helpcontext(3016)] long stdcall EnumWindows([in] long lpEnumFunc, [in] long lParam);
[entry("EqualRect"), helpstring("Determines if two rectangles structures are equal."), helpcontext(2997)] long stdcall EqualRect([in, out] RECT *lpRect1, [in, out] RECT *lpRect2);
[entry("ExcludeUpdateRgn"), helpstring("Excludes the update region of the specified window from the clipping region of the specified device context."), helpcontext(2930)] long stdcall ExcludeUpdateRgn([in] long hdc, [in] long hwnd);
[entry("ExitWindowsEx"), helpstring("Allows you to exit and optionally restart windows."), helpcontext(2756)] long stdcall ExitWindowsEx([in] long uFlags, [in] long dwReserved);
[entry("FillRect"), helpstring("Fills a rectangle using the specified brush."), helpcontext(2985)] long stdcall FillRect([in] long hdc, [in, out] RECT *lpRect, [in] long hBrush);
[entry("FindWindowA"), helpstring("Finds the first top level window in the window list that meets the specified conditions."), helpcontext(3010)] long stdcall FindWindow([in, out] LPSTR lpClassName, [in, out] LPSTR lpWindowName);
[entry("FindWindowExA"), helpstring("Finds the first child window in the window list that meets the specified conditions."), helpcontext(3440)] long stdcall FindWindowEx([in] long hWndParent, [in] long hWndChildAfter, [in, out] LPSTR lpClassName, [in, out] LPSTR lpWindowName);
[entry("FlashWindow"), helpstring("Flashes the specified window."), helpcontext(2790)] long stdcall FlashWindow([in] long hwnd, [in] long bInvert);
[entry("FrameRect"), helpstring("Draws a border one logical unit wide around a rectangle using the specified brush."), helpcontext(2986)] long stdcall FrameRect([in] long hdc, [in, out] RECT *lpRect, [in] long hBrush);
[entry("GetActiveWindow"), helpstring("Obtains the handle of the active window."), helpcontext(2854)] long stdcall GetActiveWindow(void);
[entry("GetAsyncKeyState"), helpstring("Determines the state of the specified virtual key at the time the function is called."), helpcontext(2857)] short stdcall GetAsyncKeyState([in] long vKey);
[entry("GetCapture"), helpstring("Retrieves the handle of the window within the current input thread that has the mouse capture if any exists."), helpcontext(2871)] long stdcall GetCapture(void);
[entry("GetCaretBlinkTime"), helpstring("Determines the flash or blink rate of the caret."), helpcontext(2970)] long stdcall GetCaretBlinkTime(void);
[entry("GetCaretPos"), helpstring("Determines the current position of the caret."), helpcontext(2976)] long stdcall GetCaretPos([in, out] POINTAPI *lpPoint);
[entry("GetClassInfoA"), helpstring("Retrieves a copy of the WNDCLASS structure (or WNDCLASSEX structure) containing information about the specified class."), helpcontext(2782)] long stdcall GetClassInfo([in] long hInstance, [in, out] LPSTR lpClassName, [in, out] WNDCLASS *lpWndClass);
[entry("GetClassInfoExA"), helpstring("Retrieves a copy of the WNDCLASS structure (or WNDCLASSEX structure) containing information about the specified class."), helpcontext(3441)] long stdcall GetClassInfoEx([in] long hInstance, [in, out] LPSTR lpClassName, [in, out] WNDCLASSEX *lpWndClassEx);
[entry("GetClassLongA"), helpstring("Obtains one of the Long variable entries for the window class."), helpcontext(3005)] long stdcall GetClassLong([in] long hwnd, [in] long nIndex);
[entry("GetClassNameA"), helpstring("Retrieves the class name for the specified window."), helpcontext(3011)] long stdcall GetClassName([in] long hwnd, [in, out] LPSTR lpClassName, [in] long nMaxCount);
[entry("GetClassWord"), helpstring("Obtains one of the Integer variable entries for the window class."), helpcontext(3003)] long stdcall GetClassWord([in] long hwnd, [in] long nIndex);
[entry("GetClientRect"), helpstring("Returns the size of the client rectangle for the specified window."), helpcontext(2954)] long stdcall GetClientRect([in] long hwnd, [in, out] RECT *lpRect);
[entry("GetClipCursor"), helpstring("Retrieves a rectangle describing the current clipping area for the cursor as defined by the SetClipCursor function."), helpcontext(2968)] long stdcall GetClipCursor([in, out] RECT *lprc);
[entry("GetCursor"), helpstring("Retrieves the handle of the currently selected cursor."), helpcontext(2967)] long stdcall GetCursor(void);
[entry("GetCursorPos"), helpstring("Retrieves the current position of the cursor."), helpcontext(2964)] long stdcall GetCursorPos([in, out] POINTAPI *lpPoint);
[entry("GetDC"), helpstring("Retrieves a device context for the specified window."), helpcontext(2922)] long stdcall GetDC([in] long hwnd);
[entry("GetDCEx"), helpstring("Retrieves a device context for the specified window."), helpcontext(2923)] long stdcall GetDCEx([in] long hwnd, [in] long hrgnclip, [in] long fdwOptions);
[entry("GetDesktopWindow"), helpstring("Obtains a window handle representing the entire screen."), helpcontext(3007)] long stdcall GetDesktopWindow(void);
[entry("GetDoubleClickTime"), helpstring("Determines the time between two consecutive mouse clicks that will cause them to be considered a single double click event."), helpcontext(2778)] long stdcall GetDoubleClickTime(void);
[entry("GetFocus"), helpstring("Obtains the handle of the window that has the input focus."), helpcontext(2853)] long stdcall GetFocus(void);
[entry("GetForegroundWindow"), helpstring("Obtains the handle of the foreground window."), helpcontext(2919)] long stdcall GetForegroundWindow(void);
[entry("GetIconInfo"), helpstring("Retrieve information about the icon."), helpcontext(3038)] long stdcall GetIconInfo([in] long hIcon, [in, out] ICONINFO *piconinfo);
[entry("GetInputState"), helpstring("Determines if there are any mouse or keyboard events pending."), helpcontext(2869)] long stdcall GetInputState(void);
[entry("GetKBCodePage"), helpstring("Identical to and superseded by GetOEMCP described later in this section."), helpcontext(2855)] long stdcall GetKBCodePage(void);
[entry("GetKeyboardLayout"), helpstring("Retrieves a handle that describes the keyboard layout for the specified application."), helpcontext(3550)] long stdcall GetKeyboardLayout([in] long dwLayout);
[entry("GetKeyboardLayoutList"), helpstring("Obtains a list of all of the keyboard layouts available to the system."), helpcontext(3549)] long stdcall GetKeyboardLayoutList([in] long nBuff, [in, out] long *lpList);
[entry("GetKeyboardLayoutNameA"), helpstring("Retrieves the name of the active keyboard layout."), helpcontext(2743)] long stdcall GetKeyboardLayoutName([in, out] LPSTR pwszKLID);
[entry("GetKeyboardState"), helpstring("Retrieves the current state of each virtual key on the keyboard."), helpcontext(2858)] long stdcall GetKeyboardState([in, out] char *pbKeyState);
[entry("GetKeyboardType"), helpstring("Determines information about the keyboard in use."), helpcontext(2860)] long stdcall GetKeyboardType([in] long nTypeFlag);
[entry("GetKeyNameTextA"), helpstring("Determines the name of a key given the scan code."), helpcontext(2861)] long stdcall GetKeyNameText([in] long lParam, [in, out] LPSTR lpBuffer, [in] long nSize);
[entry("GetKeyState"), helpstring("Determines the state of the specified virtual key at the time the most recent input message for that key was processed."), helpcontext(2856)] short stdcall GetKeyState([in] long nVirtKey);
[entry("GetLastActivePopup"), helpstring("Obtains the handle of the most recently used popup window for a given parent window."), helpcontext(3015)] long stdcall GetLastActivePopup([in] long hwndOwnder);
[entry("GetMenu"), helpstring("Retrieves the handle of the menu for a window."), helpcontext(2887)] long stdcall GetMenu([in] long hwnd);
[entry("GetMenuCheckMarkDimensions"), helpstring("Returns the dimensions of a checkmark for a menu."), helpcontext(2910)] long stdcall GetMenuCheckMarkDimensions(void);
[entry("GetMenuContextHelpId"), helpstring("Retrieves the help context ID assigned to a menu using the SetMenuContextHelpId function."), helpcontext(3551)] long stdcall GetMenuContextHelpId([in] long hMenu);
[entry("GetMenuDefaultItem"), helpstring("Allows you to determine which menu entry in a menu is the default entry."), helpcontext(3552)] long stdcall GetMenuDefaultItem([in] long hMenu, [in] long fByPos, [in] long gmdiFlags);
[entry("GetMenuItemCount"), helpstring("Returns the number of entries in a menu."), helpcontext(2901)] long stdcall GetMenuItemCount([in] long hMenu);
[entry("GetMenuItemID"), helpstring("Returns the menu ID of the entry at the specified position in a menu."), helpcontext(2900)] long stdcall GetMenuItemID([in] long hMenu, [in] long nPos);
[entry("GetMenuItemInfoA"), helpstring("Retrieves requested information about a menu entry using a MENUITEMINFO structure."), helpcontext(3553)] long stdcall GetMenuItemInfo([in] long hMenu, [in] long un, [in] long bypos, [in, out] MENUITEMINFO *lpMenuItemInfo);
[entry("GetMenuItemRect"), helpstring("Loads a rectangle with the screen coordinates for the specified menu entry."), helpcontext(3554)] long stdcall GetMenuItemRect([in] long hWnd, [in] long hMenu, [in] long uItem, [in, out] RECT *lprcItem);
[entry("GetMenuState"), helpstring("Retrieves information about the state of the specified menu entry."), helpcontext(2891)] long stdcall GetMenuState([in] long hMenu, [in] long wID, [in] long wFlags);
[entry("GetMenuStringA"), helpstring("Retrieves the string for a specified menu entry."), helpcontext(2890)] long stdcall GetMenuString([in] long hMenu, [in] long wIDItem, [in, out] LPSTR lpString, [in] long nMaxCount, [in] long wFlag);
[entry("GetMessagePos"), helpstring("Retrieves the cursor screen coordinates at the time the most recent message in the message queue was processed."), helpcontext(2758)] long stdcall GetMessagePos(void);
[entry("GetMessageTime"), helpstring("Retrieves the time at which the most recent message in the message queue was processed."), helpcontext(2759)] long stdcall GetMessageTime(void);
[entry("GetParent"), helpstring("Determines the parent window of the specified window."), helpcontext(3008)] long stdcall GetParent([in] long hwnd);
[entry("GetPropA"), helpstring("Retrieves the integer data handle for the specified property."), helpcontext(2949)] long stdcall GetProp([in] long hwnd, [in, out] LPSTR lpString);
[entry("GetQueueStatus"), helpstring("Determines the type of messages that are pending in an applications message queue."), helpcontext(2870)] long stdcall GetQueueStatus([in] long fuFlags);
[entry("GetSubMenu"), helpstring("Retrieves the handle of a popup menu that is located at the specified position in a menu."), helpcontext(2899)] long stdcall GetSubMenu([in] long hMenu, [in] long nPos);
[entry("GetSysColor"), helpstring("Determines the color of the specified Windows display object."), helpcontext(2982)] long stdcall GetSysColor([in] long nIndex);
[entry("GetSysColorBrush"), helpstring("Retrieves a brush for one of the standard system colors."), helpcontext(3556)] long stdcall GetSysColorBrush([in] long nIndex);
[entry("GetSystemMenu"), helpstring("Retrieves the handle to the system menu for the specified window."), helpcontext(2893)] long stdcall GetSystemMenu([in] long hwnd, [in] long bRevert);
[entry("GetSystemMetrics"), helpstring("Returns information about the Windows environment."), helpcontext(2884)] long stdcall GetSystemMetrics([in] long nIndex);
[entry("GetTabbedTextExtentA"), helpstring("Determines the extents of a string taking tab expansion into account."), helpcontext(2916)] long stdcall GetTabbedTextExtent([in] long hdc, [in, out] LPSTR lpString, [in] long nCount, [in] long nTabPositions, [in, out] long *lpnTabStopPositions);
[entry("GetTopWindow"), helpstring("Searches the internal window list for the handle of the first child window belonging to the specified window."), helpcontext(3012)] long stdcall GetTopWindow([in] long hwnd);
[entry("GetUpdateRect"), helpstring("Obtains a rectangle describing the portion of the specified window that needs to be updated."), helpcontext(2928)] long stdcall GetUpdateRect([in] long hwnd, [in, out] RECT *lpRect, [in] long bErase);
[entry("GetUpdateRgn"), helpstring("Determines the update region of the specified window."), helpcontext(2929)] long stdcall GetUpdateRgn([in] long hwnd, [in] long hRgn, [in] long fErase);
[entry("GetWindow"), helpstring("Obtains the handle of a window with a specified relationship to a source window."), helpcontext(3019)] long stdcall GetWindow([in] long hwnd, [in] long wCmd);
[entry("GetWindowContextHelpId"), helpstring("Retrieves the help context ID associated with a window."), helpcontext(3443)] long stdcall GetWindowContextHelpId([in] long hWnd);
[entry("GetWindowDC"), helpstring("Retrieves a device context for the entire window specified (including borders, scroll bars, captions, menus, and so on)."), helpcontext(2924)] long stdcall GetWindowDC([in] long hwnd);
[entry("GetWindowLongA"), helpstring("Obtains information from the window structure for the specified window."), helpcontext(3001)] long stdcall GetWindowLong([in] long hwnd, [in] long nIndex);
[entry("GetWindowPlacement"), helpstring("Obtains window state and location information for a window."), helpcontext(2796)] long stdcall GetWindowPlacement([in] long hwnd, [in, out] WINDOWPLACEMENT *lpwndpl);
[entry("GetWindowRect"), helpstring("Obtains the bounding rectangle for the entire window including borders, title bars, scroll bars, menus, and so on."), helpcontext(2955)] long stdcall GetWindowRect([in] long hwnd, [in, out] RECT *lpRect);
[entry("GetWindowRgn"), helpstring("Retrieves the window region as defined earlier by the SetWindowRgn function."), helpcontext(3438)] long stdcall GetWindowRgn([in] long hWnd, [in] long hRgn);
[entry("GetWindowTextA"), helpstring("Retrieves the title (caption) text of a window or contents of a control."), helpcontext(2952)] long stdcall GetWindowText([in] long hwnd, [in, out] LPSTR lpString, [in] long cch);
[entry("GetWindowTextLengthA"), helpstring("Retrieves the length of the title (caption) text of a window or contents of a control."), helpcontext(2953)] long stdcall GetWindowTextLength([in] long hwnd);
[entry("GetWindowThreadProcessId"), helpstring("Obtain the identifiers of a thread and process that are associated with a window."), helpcontext(3014)] long stdcall GetWindowThreadProcessId([in] long hwnd, [in, out] long *lpdwProcessId);
[entry("GetWindowWord"), helpstring("Obtains information from the window structure for the specified window."), helpcontext(2999)] short stdcall GetWindowWord([in] long hwnd, [in] long nIndex);
[entry("GrayStringA"), helpstring("Draws a grayed string like that used by Windows to indicate the disabled state."), helpcontext(3558)] long stdcall GrayString([in] long hDC, [in] long hBrush, [in] long lpOutputFunc, [in] long lpData, [in] long nCount, [in] long X, [in] long Y, [in] long nWidth, [in] long nHeight);
[entry("GrayStringA"), helpstring("Draws a grayed string like that used by Windows to indicate the disabled state.")] long stdcall GrayStringByString([in] long hDC, [in] long hBrush, [in] long lpOutputFunc, [in, out] LPSTR lpData, [in] long nCount, [in] long X, [in] long Y, [in] long nWidth, [in] long nHeight);
[entry("HideCaret"), helpstring("Hides the caret in the specified window."), helpcontext(2973)] long stdcall HideCaret([in] long hwnd);
[entry("HiliteMenuItem"), helpstring("Controls the highlight on a top level menu entry."), helpcontext(2889)] long stdcall HiliteMenuItem([in] long hwnd, [in] long hMenu, [in] long wIDHiliteItem, [in] long wHilite);
[entry("InflateRect"), helpstring("This function increases or decreases the size of a rectangle."), helpcontext(2991)] long stdcall InflateRect([in, out] RECT *lpRect, [in] long x, [in] long y);
[entry("InsertMenuA"), helpstring("This function inserts a menu entry at the specified location in a menu, moving other entries down as needed."), helpcontext(2902)] long stdcall InsertMenu([in] long hMenu, [in] long nPosition, [in] long wFlags, [in] long wIDNewItem, [in, out] LPSTR lpNewItem);
[entry("InsertMenuItemA"), helpstring("Inserts a new menu entry with the characteristics specified in a MENUITEMINFO structure."), helpcontext(3560)] long stdcall InsertMenuItem([in] long hMenu, [in] long un, [in] long bypos, [in, out] MENUITEMINFO *lpcMenuItemInfo);
[entry("IntersectRect"), helpstring("This function loads into rectangle lpDestRect a rectangle that describes the intersection of lpSrc1Rect and lpSrc2Rect."), helpcontext(2992)] long stdcall IntersectRect([in, out] RECT *lpDestRect, [in, out] RECT *lpSrc1Rect, [in, out] RECT *lpSrc2Rect);
[entry("InvalidateRect"), helpstring("This function invalidates all or part of the client area of a window."), helpcontext(2931)] long stdcall InvalidateRect([in] long hwnd, [in, out] RECT *lpRect, [in] long bErase);
[entry("InvalidateRect"), helpstring("This function invalidates all or part of the client area of a window."), helpcontext(2932)] long stdcall InvalidateRectBynum([in] long hwnd, [in] long lpRect, [in] long bErase);
[entry("InvalidateRgn"), helpstring("Invalidates the specified region in a window, adding it to the update region of the window so that it may be redrawn in due course."), helpcontext(2935)] long stdcall InvalidateRgn([in] long hwnd, [in] long hRgn, [in] long bErase);
[entry("InvertRect"), helpstring("Inverts the specified rectangle on a device context by inverting the value of each pixel."), helpcontext(2987)] long stdcall InvertRect([in] long hdc, [in, out] RECT *lpRect);
[entry("IsCharAlphaA"), helpstring("Determines if the specified character is an alphabetic character under the current language."), helpcontext(2848)] long stdcall IsCharAlpha([in] char cChar);
[entry("IsCharAlphaNumericA"), helpstring("Determines if the specified character is an alphanumeric character under the current language."), helpcontext(2849)] long stdcall IsCharAlphaNumeric([in] char cChar);
[entry("IsCharLowerA"), helpstring("Determines if the specified character is a lowercase character under the current language."), helpcontext(2851)] long stdcall IsCharLower([in] char cChar);
[entry("IsCharUpperA"), helpstring("Determines if the specified character is an uppercase character under the current language."), helpcontext(2850)] long stdcall IsCharUpper([in] char cChar);
[entry("IsChild"), helpstring("Determines if one window is the child or descendent of another."), helpcontext(2787)] long stdcall IsChild([in] long hWndParent, [in] long hwnd);
[entry("IsIconic"), helpstring("Determines if the window is minimized."), helpcontext(2802)] long stdcall IsIconic([in] long hwnd);
[entry("IsMenu"), helpstring("Determines if a handle is a handle to a menu."), helpcontext(2786)] long stdcall IsMenu([in] long hMenu);
[entry("IsRectEmpty"), helpstring("Determines if a rectangle is empty."), helpcontext(2996)] long stdcall IsRectEmpty([in, out] RECT *lpRect);
[entry("IsWindow"), helpstring("Determines if a window handle is valid."), helpcontext(2785)] long stdcall IsWindow([in] long hwnd);
[entry("IsWindowEnabled"), helpstring("Determines if the window is enabled."), helpcontext(2878)] long stdcall IsWindowEnabled([in] long hwnd);
[entry("IsWindowUnicode"), helpstring("Allows you to determine if a window is a native Unicode window."), helpcontext(2876)] long stdcall IsWindowUnicode([in] long hwnd);
[entry("IsWindowVisible"), helpstring("Determines if the window is visible."), helpcontext(2801)] long stdcall IsWindowVisible([in] long hwnd);
[entry("IsZoomed"), helpstring("Determines if the window is maximized."), helpcontext(2805)] long stdcall IsZoomed([in] long hwnd);
[entry("keybd_event"), helpstring("This function simulates keyboard action."), helpcontext(2866)] void stdcall keybd_event([in] char bVk, [in] char bScan, [in] long dwFlags, [in] long dwExtraInfo);
[entry("LoadBitmapA"), helpstring("Loads a bitmap from the specified module or application instance."), helpcontext(3022)] long stdcall LoadBitmap([in] long hInstance, [in, out] LPSTR lpBitmapName);
[entry("LoadBitmapA"), helpstring("Loads a bitmap from the specified module or application instance.")] long stdcall LoadBitmapBynum([in] long hInstance, [in] long lpBitmapName);
[entry("LoadCursorA"), helpstring("Loads a cursor from the specified module or application instance."), helpcontext(3024)] long stdcall LoadCursor([in] long hInstance, [in, out] LPSTR lpCursorName);
[entry("LoadCursorA"), helpstring("Loads a cursor from the specified module or application instance.")] long stdcall LoadCursorBynum([in] long hInstance, [in] long lpCursorName);
[entry("LoadCursorFromFileA"), helpstring("Creates a cursor from a cursor file or animated cursor file (.CUR or .ANI extensions)."), helpcontext(3561)] long stdcall LoadCursorFromFile([in, out] LPSTR lpFileName);
[entry("LoadIconA"), helpstring("Loads an icon from the specified module or application instance."), helpcontext(3029)] long stdcall LoadIcon([in] long hInstance, [in, out] LPSTR lpIconName);
[entry("LoadIconA"), helpstring("Loads an icon from the specified module or application instance.")] long stdcall LoadIconBynum([in] long hInstance, [in] long lpIconName);
[entry("LoadImageA"), helpstring("Load a bitmap, icon, or cursor."), helpcontext(3562)] long stdcall LoadImage([in] long hInst, [in, out] LPSTR lpsz, [in] long un1, [in] long n1, [in] long n2, [in] long un2);
[entry("LoadImageA"), helpstring("Load a bitmap, icon, or cursor.")] long stdcall LoadImageBynum([in] long hInst, [in] long lpsz, [in] long un1, [in] long n1, [in] long n2, [in] long un2);
[entry("LoadKeyboardLayoutA"), helpstring("Loads a keyboard layout."), helpcontext(2740)] long stdcall LoadKeyboardLayout([in, out] LPSTR pwszKLID, [in] long flags);
[entry("LoadMenuA"), helpstring("Loads a menu from the specified module or application instance."), helpcontext(2885)] long stdcall LoadMenu([in] long hInstance, [in, out] LPSTR lpString);
[entry("LoadMenuIndirectA"), helpstring("Loads a menu based on a memory block containing MENUITEMTEMPLATE data structures."), helpcontext(2886)] long stdcall LoadMenuIndirect([in] long lpMenuTemplate);
[entry("LoadStringA"), helpstring("Loads a string resource from an executable module."), helpcontext(3039)] long stdcall LoadString([in] long hInstance, [in] long wID, [in, out] LPSTR lpBuffer, [in] long nBufferMax);
[entry("LockWindowUpdate"), helpstring("Locks the specified window from being updated."), helpcontext(2938)] long stdcall LockWindowUpdate([in] long hwndLock);
[entry("LookupIconIdFromDirectory"), helpstring("Searches a block of resource data for the icon or cursor that best matches the current display device."), helpcontext(3033)] long stdcall LookupIconIdFromDirectory([in, out] char *presbits, [in] long fIcon);
[entry("LookupIconIdFromDirectoryEx"), helpstring("Searches a block of resource data for the icon or cursor that best matches the current display device."), helpcontext(3564)] long stdcall LookupIconIdFromDirectoryEx([in, out] char *presbits, [in] long fIcon, [in] long cxDesired, [in] long cyDesired, [in] long Flags);
[entry("MapVirtualKeyA"), helpstring("Performs various scan code and character conversions depending on the mapping type specified."), helpcontext(2868)] long stdcall MapVirtualKey([in] long wCode, [in] long wMapType);
[entry("MapVirtualKeyExA"), helpstring("Performs various scan code and character conversions depending on the mapping type specified."), helpcontext(3565)] long stdcall MapVirtualKeyEx([in] long uCode, [in] long uMapType, [in] long dwhkl);
[entry("MapWindowPoints"), helpstring("Converts points in the client coordinates of one window into the client coordinates of a second window."), helpcontext(2979)] long stdcall MapWindowPoints([in] long hwndFrom, [in] long hwndTo, [in, out] POINTAPI *lppt, [in] long cPoints);
[entry("MenuItemFromPoint"), helpstring("Allows you to determine which menu entry contains a specified point on the screen."), helpcontext(3566)] long stdcall MenuItemFromPoint([in] long hWnd, [in] long hMenu, [in] long ptx, [in] long pty);
[entry("MessageBeep"), helpstring("Plays a system sound. Plays a system sound. System sound assignments are made using the control panel."), helpcontext(2960)] long stdcall MessageBeep([in] long wType);
[entry("ModifyMenuA"), helpstring("This function can be used to change a menu entry."), helpcontext(2906)] long stdcall ModifyMenu([in] long hMenu, [in] long nPosition, [in] long wFlags, [in] long wIDNewItem, [in, out] LPSTR lpString);
[entry("ModifyMenuA"), helpstring("This function can be used to change a menu entry.")] long stdcall ModifyMenuBynum([in] long hMenu, [in] long nPosition, [in] long wFlags, [in] long wIDNewItem, [in] long lpString);
[entry("mouse_event"), helpstring("Simulates a mouse event."), helpcontext(2867)] void stdcall mouse_event([in] long dwFlags, [in] long dx, [in] long dy, [in] long cButtons, [in] long dwExtraInfo);
[entry("MoveWindow"), helpstring("Used to change the position and size of the specified window."), helpcontext(2794)] long stdcall MoveWindow([in] long hwnd, [in] long x, [in] long y, [in] long nWidth, [in] long nHeight, [in] long bRepaint);
[entry("MsgWaitForMultipleObjects"), helpstring("Waits for either a single object or an entire list of objects to become signaled, for the specified timeout to elapse, or for a specified type of message to arrive in the input queue for the thread."), helpcontext(2874)] long stdcall MsgWaitForMultipleObjects([in] long nCount, [in, out] long *pHandles, [in] long fWaitAll, [in] long dwMilliseconds, [in] long dwWakeMask);
[entry("OemKeyScan"), helpstring("Determines the scan code and shift states for an ASCII character in the OEM character set."), helpcontext(2864)] long stdcall OemKeyScan([in] short wOemChar);
[entry("OemToCharA"), helpstring("Converts a string from the OEM character set to the ANSI character set."), helpcontext(2839)] long stdcall OemToChar([in, out] LPSTR lpszSrc, [in, out] LPSTR lpszDst);
[entry("OemToCharBuffA"), helpstring("Converts a string from the OEM character set to the ANSI character set."), helpcontext(2841)] long stdcall OemToCharBuff([in, out] LPSTR lpszSrc, [in, out] LPSTR lpszDst, [in] long cchDstLength);
[entry("OffsetRect"), helpstring("This function moves a rectangle by applying a specified offset."), helpcontext(2995)] long stdcall OffsetRect([in, out] RECT *lpRect, [in] long x, [in] long y);
[entry("OpenIcon"), helpstring("Restores a minimized program and activates it."), helpcontext(2792)] long stdcall OpenIcon([in] long hwnd);
[entry("PaintDesktop"), helpstring("Draws the desktop wallpaper pattern onto the device context specified."), helpcontext(3571)] long stdcall PaintDesktop([in] long hdc);
[entry("PostMessageA"), helpstring("Posts a message to the message queue of the specified window."), helpcontext(2767)] long stdcall PostMessage([in] long hwnd, [in] long wMsg, [in] long wParam, [in, out] void *lParam);
[entry("PostMessageA"), helpstring("Posts a message to the message queue of the specified window.")] long stdcall PostMessageBynum([in] long hwnd, [in] long wMsg, [in] long wParam, [in] long lParam);
[entry("PostMessageA"), helpstring("Posts a message to the message queue of the specified window.")] long stdcall PostMessageByString([in] long hwnd, [in] long wMsg, [in] long wParam, [in, out] LPSTR lParam);
[entry("PostThreadMessageA"), helpstring("Posts a message to an application."), helpcontext(2770)] long stdcall PostThreadMessage([in] long idThread, [in] long msg, [in] long wParam, [in] long lParam);
[entry("PtInRect"), helpstring("This function determines if the specified point is located in rectangle lpRect."), helpcontext(2998)] long stdcall PtInRect([in, out] RECT *lpRect, [in] long ptx, [in] long pty);
[entry("RedrawWindow"), helpstring("Redraws all or part of a window according to the fuRedraw flag."), helpcontext(2937)] long stdcall RedrawWindow([in] long hwnd, [in, out] RECT *lprcUpdate, [in] long hrgnUpdate, [in] long fuRedraw);
[entry("RegisterWindowMessageA"), helpstring("Retrieves the message number assigned to a string identifier."), helpcontext(2748)] long stdcall RegisterWindowMessage([in, out] LPSTR lpString);
[entry("ReleaseCapture"), helpstring("Releases the mouse capture for the current application."), helpcontext(2873)] long stdcall ReleaseCapture(void);
[entry("ReleaseDC"), helpstring("Releases the specified device context that was obtained through calls to GetDC or GetWindowDC."), helpcontext(2925)] long stdcall ReleaseDC([in] long hwnd, [in] long hdc);
[entry("RemoveMenu"), helpstring("Removes the specified menu entry."), helpcontext(2905)] long stdcall RemoveMenu([in] long hMenu, [in] long nPosition, [in] long wFlags);
[entry("RemovePropA"), helpstring("Deletes (or removes) a property for a window."), helpcontext(2950)] long stdcall RemoveProp([in] long hwnd, [in, out] LPSTR lpString);
[entry("ReplyMessage"), helpstring("When a message is sent to a window in a different process, normally the first process is suspended until the window function in the other process has completed operation."), helpcontext(2772)] long stdcall ReplyMessage([in] long lReply);
[entry("ScreenToClient"), helpstring("Determines the client coordinates for a given point on the screen."), helpcontext(2978)] long stdcall ScreenToClient([in] long hwnd, [in, out] POINTAPI *lpPoint);
[entry("ScrollDC"), helpstring("Scrolls a rectangle in a window represented by a device context horizontally and/or vertically."), helpcontext(2940)] long stdcall ScrollDC([in] long hdc, [in] long dx, [in] long dy, [in, out] RECT *lprcScroll, [in, out] RECT *lprcClip, [in] long hrgnUpdate, [in, out] RECT *lprcUpdate);
[entry("ScrollWindow"), helpstring("Scrolls all or part of a window's client area."), helpcontext(2939)] long stdcall ScrollWindow([in] long hWnd, [in] long XAmount, [in] long YAmount, [in, out] RECT *lpRect, [in, out] RECT *lpClipRect);
[entry("ScrollWindowEx"), helpstring("Scrolls all or part of a window's client area with additional options."), helpcontext(2941)] long stdcall ScrollWindowEx([in] long hwnd, [in] long dx, [in] long dy, [in, out] RECT *lprcScroll, [in, out] RECT *lprcClip, [in] long hrgnUpdate, [in, out] RECT *lprcUpdate, [in] long fuScroll);
[entry("SendMessageA"), helpstring("Sends a message to a window by calling the window function for that window."), helpcontext(2761)] long stdcall SendMessage([in] long hwnd, [in] long wMsg, [in] long wParam, [in, out] void *lParam);
[entry("SendMessageA"), helpstring("Sends a message to a window by calling the window function for that window.")] long stdcall SendMessageBynum([in] long hwnd, [in] long wMsg, [in] long wParam, [in] long lParam);
[entry("SendMessageA"), helpstring("Sends a message to a window by calling the window function for that window.")] long stdcall SendMessageByString([in] long hwnd, [in] long wMsg, [in] long wParam, [in, out] LPSTR lParam);
[entry("SendMessageCallbackA"), helpstring("Sends a message to a window. Sends a message to a window. This function returns immediately."), helpcontext(2766)] long stdcall SendMessageCallback([in] long hwnd, [in] long msg, [in] long wParam, [in] long lParam, [in] long lpResultCallBack, [in] long dwData);
[entry("SendMessageTimeoutA"), helpstring("Sends a message to a window."), helpcontext(2764)] long stdcall SendMessageTimeout([in] long hwnd, [in] long msg, [in] long wParam, [in] long lParam, [in] long fuFlags, [in] long uTimeout, [in, out] long *lpdwResult);
[entry("SendNotifyMessageA"), helpstring("Sends a message to a window."), helpcontext(2765)] long stdcall SendNotifyMessage([in] long hwnd, [in] long msg, [in] long wParam, [in] long lParam);
[entry("SetActiveWindow"), helpstring("Activates the specified window."), helpcontext(2918)] long stdcall SetActiveWindow([in] long hwnd);
[entry("SetCapture"), helpstring("Sets the mouse capture to the specified window."), helpcontext(2872)] long stdcall SetCapture([in] long hwnd);
[entry("SetCaretBlinkTime"), helpstring("Specifies the flash or blink rate of the caret."), helpcontext(2971)] long stdcall SetCaretBlinkTime([in] long wMSeconds);
[entry("SetCaretPos"), helpstring("Specifies the position of the caret."), helpcontext(2975)] long stdcall SetCaretPos([in] long x, [in] long y);
[entry("SetClassLongA"), helpstring("Sets one of the Long variable entries for the window class."), helpcontext(3006)] long stdcall SetClassLong([in] long hwnd, [in] long nIndex, [in] long dwNewLong);
[entry("SetClassWord"), helpstring("Sets one of the Integer variable entries for the window class."), helpcontext(3004)] long stdcall SetClassWord([in] long hwnd, [in] long nIndex, [in] long wNewWord);
[entry("SetCursor"), helpstring("Selects the specified cursor to be the current cursor."), helpcontext(2963)] long stdcall SetCursor([in] long hCursor);
[entry("SetCursorPos"), helpstring("Sets the cursor position."), helpcontext(2962)] long stdcall SetCursorPos([in] long x, [in] long y);
[entry("SetDoubleClickTime"), helpstring("Sets the time between two consecutive mouse clicks that will cause them to be considered a single double click event."), helpcontext(2779)] long stdcall SetDoubleClickTime([in] long wCount);
[entry("SetFocus"), helpstring("Sets the input focus to the specified window. Sets the input focus to the specified window. Activates the window if necessary."), helpcontext(2852)] long stdcall SetFocusAPI([in] long hwnd);
[entry("SetForegroundWindow"), helpstring("Sets the window to be the foreground window for the system."), helpcontext(2920)] long stdcall SetForegroundWindow([in] long hwnd);
[entry("SetKeyboardState"), helpstring("Sets the current state of each virtual key on the keyboard."), helpcontext(2859)] long stdcall SetKeyboardState([in, out] char *lppbKeyState);
[entry("SetMenu"), helpstring("Sets the menu for a window."), helpcontext(2888)] long stdcall SetMenu([in] long hwnd, [in] long hMenu);
[entry("SetMenuContextHelpId"), helpstring("Sets the help context ID assigned to a menu using the SetMenuContextHelpId function."), helpcontext(3573)] long stdcall SetMenuContextHelpId([in] long hMenu, [in] long dw);
[entry("SetMenuDefaultItem"), helpstring("Allows you to specify that a menu entry be the default entry."), helpcontext(3574)] long stdcall SetMenuDefaultItem([in] long hMenu, [in] long uItem, [in] long fByPos);
[entry("SetMenuItemBitmaps"), helpstring("Sets the bitmaps to use for the specified menu entry in place of the standard checkmark."), helpcontext(2909)] long stdcall SetMenuItemBitmaps([in] long hMenu, [in] long nPosition, [in] long wFlags, [in] long hBitmapUnchecked, [in] long hBitmapChecked);
[entry("SetMenuItemInfoA"), helpstring("Sets the specified information for a menu entry using a MENUITEMINFO structure."), helpcontext(3575)] long stdcall SetMenuItemInfo([in] long hMenu, [in] long un, [in] long bypos, [in, out] MENUITEMINFO *lpcMenuItemInfo);
[entry("SetParent"), helpstring("Specifies the new parent for a window."), helpcontext(3009)] long stdcall SetParent([in] long hWndChild, [in] long hWndNewParent);
[entry("SetPropA"), helpstring("Sets the data handle for the specified property."), helpcontext(2948)] long stdcall SetProp([in] long hwnd, [in, out] LPSTR lpString, [in] long hData);
[entry("SetRect"), helpstring("Sets the contents of the specified rectangle."), helpcontext(2988)] long stdcall SetRect([in, out] RECT *lpRect, [in] long X1, [in] long Y1, [in] long X2, [in] long Y2);
[entry("SetRectEmpty"), helpstring("Sets lpRect to be an empty rectangle (all fields=0)."), helpcontext(2989)] long stdcall SetRectEmpty([in, out] RECT *lpRect);
[entry("SetSysColors"), helpstring("Sets the color of the specified Windows display object."), helpcontext(2983)] long stdcall SetSysColors([in] long nChanges, [in, out] long *lpSysColor, [in, out] long *lpColorValues);
[entry("SetSystemCursor"), helpstring("Allows you to change any of the standard system cursors."), helpcontext(3580)] long stdcall SetSystemCursor([in] long hcur, [in] long id);
[entry("SetWindowContextHelpId"), helpstring("Sets the help context Id for the specified window."), helpcontext(3442)] long stdcall SetWindowContextHelpId([in] long hWnd, [in] long dwContextHelpId);
[entry("SetWindowLongA"), helpstring("Sets information in the window structure for the specified window."), helpcontext(3002)] long stdcall SetWindowLong([in] long hwnd, [in] long nIndex, [in] long dwNewLong);
[entry("SetWindowPlacement"), helpstring("Sets window state and location information for a window."), helpcontext(2797)] long stdcall SetWindowPlacement([in] long hwnd, [in, out] WINDOWPLACEMENT *lpwndpl);
[entry("SetWindowPos"), helpstring("This function specifies a new position and state for a window."), helpcontext(2795)] long stdcall SetWindowPos([in] long hwnd, [in] long hWndInsertAfter, [in] long x, [in] long y, [in] long cx, [in] long cy, [in] long wFlags);
[entry("SetWindowRgn"), helpstring("This is one of those hidden API functions that hardly anyone notices, yet has enormous implications for programmers."), helpcontext(3439)] long stdcall SetWindowRgn([in] long hWnd, [in] long hRgn, [in] long bRedraw);
[entry("SetWindowTextA"), helpstring("Sets the title (caption) text of a window or contents of a control."), helpcontext(2951)] long stdcall SetWindowText([in] long hwnd, [in, out] LPSTR lpString);
[entry("SetWindowWord"), helpstring("Sets information in the window structure for the specified window."), helpcontext(3000)] long stdcall SetWindowWord([in] long hwnd, [in] long nIndex, [in] long wNewWord);
[entry("ShowCaret"), helpstring("Shows the caret in the specified window."), helpcontext(2974)] long stdcall ShowCaret([in] long hwnd);
[entry("ShowCursor"), helpstring("Controls the visibility of the cursor."), helpcontext(2961)] long stdcall ShowCursor([in] long bShow);
[entry("ShowOwnedPopups"), helpstring("Shows or hides all popup windows owned by the specified window."), helpcontext(2791)] long stdcall ShowOwnedPopups([in] long hwnd, [in] long fShow);
[entry("ShowWindow"), helpstring("Use to control the visibility of a window."), helpcontext(2789)] long stdcall ShowWindow([in] long hwnd, [in] long nCmdShow);
[entry("ShowWindowAsync"), helpstring("Similar to ShowWindow, except that the ShowWindow command is posted to the specified window for asynchronous processing."), helpcontext(3444)] long stdcall ShowWindowAsync([in] long hwnd, [in] long nCmdShow);
[entry("SubtractRect"), helpstring("This function loads into rectangle lpDestRect, a rectangle that describes the result when rectangle lpSrc2Rect is subtracted from lpSrc1Rect."), helpcontext(2994)] long stdcall SubtractRect([in, out] RECT *lprcDst, [in, out] RECT *lprcSrc1, [in, out] RECT *lprcSrc2);
[entry("SwapMouseButton"), helpstring("Determines if the functions of the left and right mouse buttons are reversed."), helpcontext(2757)] long stdcall SwapMouseButton([in] long bSwap);
[entry("SystemParametersInfoA"), helpstring("Allows the retrieval and setting of a number of Windows system parameters."), helpcontext(3052)] long stdcall SystemParametersInfo([in] long uAction, [in] long uParam, [in, out] void *lpvParam, [in] long fuWinIni);
[entry("SystemParametersInfoA"), helpstring("Allows the retrieval and setting of a number of Windows system parameters.")] long stdcall SystemParametersInfoByval([in] long uAction, [in] long uParam, [in, out] void *lpvParam, [in] long fuWinIni);
[entry("TabbedTextOutA"), helpstring("Text-drawing function that supports tabs. Text-drawing function that supports tabs. Refer also to the SetTextAlign function."), helpcontext(2915)] long stdcall TabbedTextOut([in] long hdc, [in] long x, [in] long y, [in, out] LPSTR lpString, [in] long nCount, [in] long nTabPositions, [in, out] long *lpnTabStopPositions, [in] long nTabOrigin);
[entry("TileWindows"), helpstring("Arranges windows in tiled order."), helpcontext(3435)] short stdcall TileWindows([in] long hwndParent, [in] long wHow, [in, out] RECT *lpRect, [in] long cKids, [in, out] long *lpKids);
[entry("ToAscii"), helpstring("Converts a virtual key into an ASCII character based on current scan and keyboard information."), helpcontext(2862)] long stdcall ToAscii([in] long uVirtKey, [in] long uScanCode, [in, out] char *lpbKeyState, [in, out] short *lpwTransKey, [in] long fuState);
[entry("ToAsciiEx"), helpstring("Converts a virtual key into an ASCII character based on current scan and keyboard information."), helpcontext(3587)] long stdcall ToAsciiEx([in] long uVirtKey, [in] long uScanCode, [in, out] char *lpKeyState, [in, out] short *lpChar, [in] long uFlags, [in] long dwhkl);
[entry("ToUnicode"), helpstring("Converts a virtual key into an Unicode character based on current scan and keyboard information."), helpcontext(2863)] long stdcall ToUnicode([in] long wVirtKey, [in] long wScanCode, [in, out] char *lpKeyState, [in, out] LPSTR pwszBuff, [in] long cchBuff, [in] long wFlags);
[entry("TrackPopupMenu"), helpstring("Displays a popup menu anywhere on the screen."), helpcontext(2911)] long stdcall TrackPopupMenu([in] long hMenu, [in] long wFlags, [in] long x, [in] long y, [in] long nReserved, [in] long hwnd, [in, out] Rect *lprc);
[entry("TrackPopupMenu"), helpstring("Displays a popup menu anywhere on the screen."), helpcontext(2912)] long stdcall TrackPopupMenuBynum([in] long hMenu, [in] long wFlags, [in] long x, [in] long y, [in] long nReserved, [in] long hwnd, [in] long lprc);
[entry("TrackPopupMenuEx"), helpstring("Similar to TrackPopupMenu except that it provides additional functionality."), helpcontext(3588)] long stdcall TrackPopupMenuEx([in] long hMenu, [in] long un, [in] long n1, [in] long n2, [in] long hWnd, [in, out] TPMPARAMS *lpTPMParams);
[entry("UnionRect"), helpstring("This function loads into rectangle lpDestRect a rectangle that describes the union of lpSrc1Rect and lpSrc2Rect."), helpcontext(2993)] long stdcall UnionRect([in, out] RECT *lpDestRect, [in, out] RECT *lpSrc1Rect, [in, out] RECT *lpSrc2Rect);
[entry("UnloadKeyboardLayout"), helpstring("Unloads the specified keyboard layout."), helpcontext(2742)] long stdcall UnloadKeyboardLayout([in] long HKL);
[entry("UpdateWindow"), helpstring("Forces an immediate update of a window."), helpcontext(2917)] long stdcall UpdateWindow([in] long hwnd);
[entry("ValidateRect"), helpstring("Validates all or part of the client area of a window."), helpcontext(2933)] long stdcall ValidateRect([in] long hwnd, [in, out] RECT *lpRect);
[entry("ValidateRect"), helpstring("Validates all or part of the client area of a window."), helpcontext(2934)] long stdcall ValidateRectBynum([in] long hwnd, [in] long lpRect);
[entry("ValidateRgn"), helpstring("Validates the specified region in a window, removing it from the update region."), helpcontext(2936)] long stdcall ValidateRgn([in] long hwnd, [in] long hRgn);
[entry("VkKeyScanA"), helpstring("Determines the virtual key code and shift states for an ASCII character in the Windows character set."), helpcontext(2865)] short stdcall VkKeyScan([in] char cChar);
[entry("VkKeyScanExA"), helpstring("Determines the virtual key code and shift states for an ASCII character in the Windows character set."), helpcontext(3590)] short stdcall VkKeyScanEx([in] char ch, [in] long dwhkl);
[entry("WaitForInputIdle"), helpstring("Waits until the specified process is in an idle state."), helpcontext(2774)] long stdcall WaitForInputIdle([in] long hProcess, [in] long dwMilliseconds);
[entry("WindowFromDC"), helpstring("Retrieves the handle of the window associated with a device context."), helpcontext(2921)] long stdcall WindowFromDC([in] long hdc);
[entry("WindowFromPoint"), helpstring("Returns the handle of the window that contains the specified point."), helpcontext(2980)] long stdcall WindowFromPoint([in] long X, [in] long Y);
