// dwapiver.h

[entry("GetFileVersionInfoA"), helpstring("Retrieves the file version information from a module that supports version stamping."), helpcontext(3407)] long stdcall GetFileVersionInfo([in, out] LPSTR lptstrFilename, [in] long dwHandle, [in] long dwLen, [in, out] char *lpData);
[entry("GetFileVersionInfoSizeA"), helpstring("Retrieves the size of the buffer required to hold the file version information for a file that contains a version resource."), helpcontext(3406)] long stdcall GetFileVersionInfoSize([in, out] LPSTR lptstrFilename, [in, out] long *lpdwHandle);
[entry("VerFindFileA"), helpstring("This function is used to determine where a file should be installed."), helpcontext(3404)] long stdcall VerFindFile([in] long uFlags, [in, out] LPSTR szFileName, [in, out] LPSTR szWinDir, [in, out] LPSTR szAppDir, [in, out] LPSTR szCurDir, [in, out] long *lpuCurDirLen, [in, out] LPSTR szDestDir, [in, out] long *lpuDestDirLen);
[entry("VerInstallFileA"), helpstring("This function is used to install a file."), helpcontext(3405)] long stdcall VerInstallFile([in] long uFlags, [in, out] LPSTR szSrcFileName, [in, out] LPSTR szDestFileName, [in, out] LPSTR szSrcDir, [in, out] LPSTR szDestDir, [in, out] LPSTR szCurDir, [in, out] LPSTR szTmpFile, [in, out] long *lpuTmpFileLen);
[entry("VerLanguageNameA"), helpstring("This function retrieves the name of a language based on the 16-bit language code."), helpcontext(3408)] long stdcall VerLanguageName([in] long wLang, [in, out] LPSTR szLang, [in] long nSize);
[entry("VerQueryValueA"), helpstring("This function is used to retrieve information from the version resource."), helpcontext(3409)] long stdcall VerQueryValue([in, out] char *pBlock, [in, out] LPSTR lpSubBlock, [in, out] long *lpBuffer, [in, out] long *puLen);
